# How to generate CHD file

### Why CHD is needed?

#### Reading CD image is mess

In the '90s for PC users ripping is one of the hottest technology, which enables to copy CD to your hard disk and play CD without physical discs. Since many software engineers developed in their way, there are many file formats called cue,ccd,img,iso,mdf, and so on. For CD image players including an emulator like Yaba Sanshiro which needs to read CD-ROM data, it's hard to support all of them.

#### Many files per disc

Most of the other cd image file formats are 'many files per disc'. Sometimes it makes a mess. If you lost a single file, it would be the show stopper. In addition since Android 11, you can select only a single file.

#### Size of data on CD is too big

Data on CD is not compressed. 16bit 44KHz stereo data for 4 minutes needs about 42MByte (2byte x 2channel x 44100 x 60 x 4), if the data is compressed as mp3, the file size will be 4Mbyte or so. From the point of view of modern software technology, data on CD is too big. 

### What is CHD?

CHD is a compressed, single file disc image format that is developed by the MAME project. With this format, Yaba Sanshiro can read CD-ROM data with a clear and well-defined specification, and users easily manage games, because they are single file and compressed. Using this format must make everyone be happy.

![](images/compare.png)

### How to use on Yaba Sanshiro

There is the command-line tool to generate the CHD file, it's a little bit messy for many general PC users. To make it easier I developed the app that can generate a CHD file directly from the physical disc.

#### 1. how to generate CHD
* Insert your CD into your CD-Drive of Windows PC
* Download **BackupCD_latest.zip** from [here](https://www.uoyabause.org/BackupCDrom_latest.zip) to Windows PC
* unzip BackupCD_latest.zip
* Execute BackupCD.exe
* Push the "Select" button, then select a save file path.

![](images/select.png)

* About after 10 minutes CHD file will be generated.

![](images/finish.png)

#### 2. How to use on Windows version
* Select CHD file. [File] -> [Open ISO...]

#### 3. How to use on Android version
* Copy to storage in your phone, using MTP or Google Drive or something
* tap [Load Game] on drawer menu. 
* Select CHD file.

<iframe width="1014" height="570" src="https://www.youtube.com/embed/a3uhAk0Ru_0" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>